#include <cstdlib>
#include <iostream>

using namespace std;

int main()
{
int n,m,k;
cin>>n>>m>>k;
int da = n/k;
if(n%k!=0){
    da++;
}
int net=m/k;
if (m%k!=0){
    net++;
}
cout << da * net <<endl;
return 0;
}
